package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备盘点明细对象 dms_flow_checkplan_detail
 * 
 * @author xins
 * @date 2023-12-29
 */
public class DmsFlowCheckplanDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long checkplanDetailId;

    /** 盘点计划ID，关联dms_flow_checkplan的flow_checkplan_id */
    @Excel(name = "盘点计划ID，关联dms_flow_checkplan的flow_checkplan_id")
    private Long flowCheckplanId;

    /** 设备ID。关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID。关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 盘点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 盘点结果(0:默认未盘点,1:已盘点) */
    @Excel(name = "盘点结果(0:默认未盘点,1:已盘点)")
    private Long variationFlag;

    /** 跳过原因 */
    @Excel(name = "跳过原因")
    private String skipCause;

    /** 盘点人 */
    @Excel(name = "盘点人")
    private String checkPerson;

    /** 上次盘点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次盘点时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastCheckTime;

    public void setCheckplanDetailId(Long checkplanDetailId) 
    {
        this.checkplanDetailId = checkplanDetailId;
    }

    public Long getCheckplanDetailId() 
    {
        return checkplanDetailId;
    }
    public void setFlowCheckplanId(Long flowCheckplanId) 
    {
        this.flowCheckplanId = flowCheckplanId;
    }

    public Long getFlowCheckplanId() 
    {
        return flowCheckplanId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setVariationFlag(Long variationFlag) 
    {
        this.variationFlag = variationFlag;
    }

    public Long getVariationFlag() 
    {
        return variationFlag;
    }
    public void setSkipCause(String skipCause) 
    {
        this.skipCause = skipCause;
    }

    public String getSkipCause() 
    {
        return skipCause;
    }
    public void setCheckPerson(String checkPerson) 
    {
        this.checkPerson = checkPerson;
    }

    public String getCheckPerson() 
    {
        return checkPerson;
    }
    public void setLastCheckTime(Date lastCheckTime) 
    {
        this.lastCheckTime = lastCheckTime;
    }

    public Date getLastCheckTime() 
    {
        return lastCheckTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkplanDetailId", getCheckplanDetailId())
            .append("flowCheckplanId", getFlowCheckplanId())
            .append("deviceId", getDeviceId())
            .append("checkTime", getCheckTime())
            .append("variationFlag", getVariationFlag())
            .append("skipCause", getSkipCause())
            .append("checkPerson", getCheckPerson())
            .append("lastCheckTime", getLastCheckTime())
            .toString();
    }
}
